auto lo
iface lo inet loopback

auto eth0
iface eth0 inet dhcp

auto eth1
iface eth1
  address {{ eth1.address }}
{% if eth1.gateway is defined %}
  gateway {{ eth1.gateway }}
{% endif %}

auto eth2
iface eth2
  address {{ eth2.address }}
{% if eth2.gateway is defined %}
  gateway {{ eth2.gateway }}
{% endif %}

auto eth3
iface eth3
  address {{ eth3.address }}
{% if eth3.gateway is defined %}
  gateway {{ eth3.gateway }}
{% endif %}

auto eth4
iface eth4
  address {{ eth4.address }}
{% if eth4.gateway is defined %}
  gateway {{ eth4.gateway }}
{% endif %}

auto eth5
iface eth5
  address {{ eth5.address }}
{% if eth5.gateway is defined %}
  gateway {{ eth5.gateway }}
{% endif %}

auto eth6
iface eth6
  address {{ eth6.address }}
{% if eth6.gateway is defined %}
  gateway {{ eth6.gateway }}
{% endif %}

auto eth7
iface eth7
  address {{ eth7.address }}
{% if eth7.gateway is defined %}
  gateway {{ eth7.gateway }}
{% endif %}

auto eth8
iface eth8
  address {{ eth8.address }}
{% if eth8.gateway is defined %}
  gateway {{ eth8.gateway }}
{% endif %}

auto eth9
iface eth9
    link-speed 1000
    link-duplex full

auto eth10
iface eth10
    link-speed 1000
    link-duplex full

auto eth11
iface eth11
    link-speed 1000
    link-duplex full

auto eth12
iface eth12
    link-speed 1000
    link-duplex full

auto uplink1
iface uplink1
    address {{ uplink1.address }}
    bond-slaves eth9 eth10
    bond-mode 802.3ad
    bond-miimon 100
    bond-min-links 1

auto uplink2
iface uplink2
    address {{ uplink2.address }}
    bond-slaves eth11 eth12
    bond-mode 802.3ad
    bond-miimon 100
    bond-min-links 1
